#
# spec file for package cacti
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           cacti
BuildRequires:  apache2-devel libapr-util1-devel pcre-devel
Version:        0.8.8b
Release:        4.1
Summary:        Web Front-End to Monitor System Data via RRDtool
License:        GPL v2 or later
Group:          System/Monitoring
Url:            http://www.cacti.net/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.cron
Source2:        %{name}-httpd.conf
Source3:        %{name}.logrotate
Patch0:         %{name}-%{version}-cacti-log-path.patch
Patch1:		cacti-0.8.8b_COMMENT.patch
Requires:       http_daemon net-snmp rrdtool php 
Recommends:	mod_php_any
Recommends:	php-fpm
Requires:       php-snmp php-mysql php-session php-sockets
AutoReqProv:	off
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define prefix %{_datadir}/cacti
%define apxs2 /usr/sbin/apxs2-prefork
%define apache2_sysconfdir %(%{apxs2} -q SYSCONFDIR)

%description
Cacti is a complete front-end to RRDtool: it stores all necessary
information for creating graphs and populates them with data from a
MySQL database. The front-end is completely PHP driven. Along with
being ableto maintain graphs, data sources, and round robin archives
ina database, Cacti also handles data gathering. There exists an SNMP
support for those accustomed to creating traffic graphs with MRTG as
well.



Authors:
--------
    Ian Berry <iberry@raxnet.net>

%prep
%setup -q
%patch0
%patch1

%build
find . -iname \*.orig -exec rm {} \;

%install
install -d -m 755 $RPM_BUILD_ROOT%{prefix}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_var}/log/%{name}
cp *.php        $RPM_BUILD_ROOT%{prefix}
cp -pr lib      $RPM_BUILD_ROOT%{prefix}
cp -pr include  $RPM_BUILD_ROOT%{prefix}
cp -pr images   $RPM_BUILD_ROOT%{prefix}
cp -pr install  $RPM_BUILD_ROOT%{prefix}
cp -pr resource $RPM_BUILD_ROOT%{prefix}
cp -pr rra 	$RPM_BUILD_ROOT%{prefix}
#cp -pr scripts  $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 scripts %{buildroot}%{prefix}/scripts
install -m 755 scripts/* %{buildroot}%{prefix}/scripts
install -d -m 755 cli %{buildroot}%{prefix}/cli
install -m 755 cli/* %{buildroot}%{prefix}/cli
install -m 644 *.sql %{buildroot}%{prefix}
# cron task
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/cacti
# apache2 config
install -d -m 755 $RPM_BUILD_ROOT%{apache2_sysconfdir}/conf.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{apache2_sysconfdir}/conf.d/cacti.conf
# logrotate config
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
# compute files list without config file
find $RPM_BUILD_ROOT%{prefix} -type d | sed -e 's|'$RPM_BUILD_ROOT'|%dir |' >> %{name}.list
find $RPM_BUILD_ROOT%{prefix} -type f ! -name config.php | sed -e 's|'$RPM_BUILD_ROOT'||' >> %{name}.list

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.list
%defattr(-,root,root)
%doc LICENSE docs/*
%attr(-,wwwrun,www) %dir %{_localstatedir}/lib/cacti
%attr(-,wwwrun,www) %dir /var/log/cacti
%dir %{apache2_sysconfdir}/conf.d
%config(noreplace) %{prefix}/include/config.php
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{apache2_sysconfdir}/conf.d/cacti.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}

%post
%if 0%{?suse_version}
chown -R wwwrun.www %{prefix}/rra
%endif

%changelog
* Sat Mar 15 2014 cs@linux-administrator.com
- update spec
- added cacti-0.8.8b_COMMENT.patch
* Wed Aug  7 2013 cs@linux-administrator.com
- udpate to release 0.8.8b
  bug: Fixed issue with custom data source information being lost when saved from edit
  bug: Repopulate the poller cache on new installations
  bug: Fix issue with poller not escaping the script query path correctly
  bug: Allow snmpv3 priv proto none
  bug: Fix issue where host activate may flush the entire poller item cache
  security: SQL injection and shell escaping issues
* Thu May  3 2012 cs@linux-administrator.com
- update to release 0.8.8a
  bug#0002207: cannot export graph templates
  bug#0002208: Graphs with CDEFs fail to generate
  bug#0002209: External auth does not work behind a reverse proxy
  bug#0002211: creating an index USING BTREE fails ony MySQL < 5.0.60
  bug#0002213: CLI upgrade script is missing 0.8.7i as a target
  bug#0002214: SQL error during non-PIA upgrade to 088 when giving a default for a text field in plugin_realms
  bug#0002216: use of define_syslog_variables() gone in PHP 5.4
  bug#0002217: url_path should default to /cacti/
  bug#0002221: Missing plugin directory causes endless loop in plugins.php
  bug#0002222: tail_logfile hangs when cacti.log not readable, filling apache log with fgets warnings
